<?php

namespace Sob\SobJob\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TableTestTransformer extends TransformerAbstract
{
    public function transform(\Sob\SobJob\Models\TableTest $table_test)
    {
        return [
            'id'                => $table_test->getRouteKey(),
            'key'               => [
                'public'    => $table_test->getPublicKey(),
                'route'     => $table_test->getRouteKey(),
            ], 
            
            'url'               => [
                'public'    => trans_url('sob-job/'.$table_test->getPublicKey()),
                'user'      => guard_url('sob-job/table_test/'.$table_test->getRouteKey()),
            ], 
            'status'            => trans('app.'.$table_test->status),
            'created_at'        => format_date($table_test->created_at),
            'updated_at'        => format_date($table_test->updated_at),
        ];
    }
}